Subject: bug#22067: [bug-diffutils] bug#20062: bug#20062: [PATCH] diff: add support for --color

From: Gisle Vanem <[email-masked]>
Date: Tue, 1 Dec 2015 10:57:08 +0100

Jim Meyering wrote:

> Good! Worthwhile after all. Thank you.
> I have just pushed those commits.

Trying this color-patch on Windows, there are a few issues:

1) ANSI-sequences are no good on Windows.
2) Some signals are not in MSVC, MinGW nor in Gnulib; i.e. SIGTSTP,
   SIGSTOP etc.
3) I'm getting a stack-overflow in handling a SIGINT.
   AFAICS there is a infinite recursion in process_signals().
   This function calls 'set_color_context (RESET_CONTEXT)'. But
   'set_color_context()' again calls 'process_signals()'. How can
   that *not* stack-fault on any platform?

1+2) I've patched here to get colors. Although hard-coded; ignoring
the '--palette' option etc.

-- 
--gv